Page MenuHomePhabricator

Remove conditional "federation mode" logic from the remaining "low-level" Wikibase code
Closed, ResolvedPublic

Event Timeline

WMDE-leszek triaged this task as High priority.Feb 21 2020, 2:31 PM
WMDE-leszek created this task.
WMDE-leszek updated the task description. (Show Details)

Change 574003 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseCirrusSearch@master] Adjusted SearchEntities constructor in the integration test

https://gerrit.wikimedia.org/r/574003

Change 573347 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed not needed "non-entity-source" logic in SearchEntities API class

https://gerrit.wikimedia.org/r/573347

Change 574007 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic from RepoLinker

https://gerrit.wikimedia.org/r/574007

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 3:16 PM

Change 574012 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic from ValidatorBuilders

https://gerrit.wikimedia.org/r/574012

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 3:35 PM

Change 574018 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed no longer used ForeignEntityValidator

https://gerrit.wikimedia.org/r/574018

Change 574012 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic from ValidatorBuilders

https://gerrit.wikimedia.org/r/574012

Change 574018 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed no longer used ForeignEntityValidator

https://gerrit.wikimedia.org/r/574018

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 4:42 PM

Change 574007 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic from RepoLinker

https://gerrit.wikimedia.org/r/574007

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 5:33 PM

Change 574054 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Define RdfVocabulary in LexemeRdfBuilder tests

https://gerrit.wikimedia.org/r/574054

Change 574056 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseMediaInfo@master] Define RdfVocabulary in MediaInfoRfBuilder tests

https://gerrit.wikimedia.org/r/574056

Change 574053 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Temporarily skip LexemeRdfBuilder tests

https://gerrit.wikimedia.org/r/574053

Change 574055 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseMediaInfo@master] Temporarily skip MediaInfoRdfBuilder tests

https://gerrit.wikimedia.org/r/574055

Change 574058 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseQualityConstraints@master] Temporarily skip SparqlHelper tests

https://gerrit.wikimedia.org/r/574058

Change 574059 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseQualityConstraints@master] Adjusted RdfVocabulary constructor calls in SparqlHelperTest

https://gerrit.wikimedia.org/r/574059

Change 574060 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in RdfVocabulary

https://gerrit.wikimedia.org/r/574060

WMDE-leszek renamed this task from Remove conditional "federation mode" logic from remaning "low-level" Wikibase code to Remove conditional "federation mode" logic from the remaining "low-level" Wikibase code.Feb 21 2020, 7:09 PM
WMDE-leszek removed WMDE-leszek as the assignee of this task.
WMDE-leszek updated the task description. (Show Details)

Change 573347 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed not needed "non-entity-source" logic in SearchEntities API class

https://gerrit.wikimedia.org/r/573347

Change 574003 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] Adjusted SearchEntities constructor in the integration test

https://gerrit.wikimedia.org/r/574003

Change 574058 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Temporarily skip SparqlHelper tests

https://gerrit.wikimedia.org/r/574058

Change 574055 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Temporarily skip MediaInfoRdfBuilder tests

https://gerrit.wikimedia.org/r/574055

Change 574053 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Temporarily skip LexemeRdfBuilder tests

https://gerrit.wikimedia.org/r/574053

Change 574060 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in RdfVocabulary

https://gerrit.wikimedia.org/r/574060

WMDE-leszek updated the task description. (Show Details)Feb 24 2020, 10:15 AM

Change 574054 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Define RdfVocabulary in LexemeRdfBuilder tests

https://gerrit.wikimedia.org/r/574054

Change 574059 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Adjusted RdfVocabulary constructor calls in SparqlHelperTest

https://gerrit.wikimedia.org/r/574059

hoo updated the task description. (Show Details)Mar 4 2020, 6:59 PM

Change 574056 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Define RdfVocabulary in MediaInfoRfBuilder tests

https://gerrit.wikimedia.org/r/574056

Addshore closed this task as Resolved.Mar 6 2020, 1:59 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptMar 6 2020, 1:59 PM